## bwfmetaedit 24.05

=== debian/changelog ===
bwfmetaedit (24.05-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <info@mediaarea.net>  Sun, 01 Jan 2012 01:03:01 +0000
