=== debian/control ===
Source: bwfmetaedit
Priority: optional
Maintainer: Jerome Martinez <info@mediaarea.net>
Build-Depends: debhelper (>= 5), tofrodos, qtbase5-dev, qtdeclarative5-dev, qtquickcontrols2-5-dev, libqt5svg5-dev, qtchooser, qt5-qmake, qtbase5-dev-tools, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://mediainfo.sourceforge.net

Package: bwfmetaedit
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: BWF MetaEdit provides:
 .
 (To be filled)

Package: bwfmetaedit-dbg
Section: debug
Architecture: any
Priority: extra
Depends: bwfmetaedit (= ${binary:Version})
Description: BWF MetaEdit provides:
 .
 (To be filled)
 .
 This package contains the debugging symbols.

Package: bwfmetaedit-gui
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, qml-module-qtquick2, qml-module-qtquick-layouts, qml-module-qtquick-controls2
Description: BWF MetaEdit provides:
 .
 (To be filled)
 .
 This package contains the graphical user interface

Package: bwfmetaedit-gui-dbg
Section: debug
Architecture: any
Priority: extra
Depends: bwfmetaedit-gui (= ${binary:Version})
Description: BWF MetaEdit provides:
 .
 (To be filled)
 .
 This package contains the debugging symbols of the graphical user interface.
